## linux 5.15.0-143.153+11.0trisquel31

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
VERSION = 5
PATCHLEVEL = 15
SUBLEVEL = 180
EXTRAVERSION = -gnu
NAME = Trick or Treat

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

$(if $(filter __%, $(MAKECMDGOALS)), \
	$(error targets prefixed with '__' are only for internal use))

# That's our default target when none is given on the command line
PHONY := __all
__all:

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.a targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

ifneq ($(sub_make_done),1)

# Do not use make's built-in rules and variables
# (this increases performance and avoids hard-to-debug behaviour)
MAKEFLAGS += -rR

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
# If KBUILD_VERBOSE equals 2 then give the reason why each target is rebuilt.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands
# make-4.0 (and later) keep single letter options in the 1st word of MAKEFLAGS.

ifeq ($(filter 3.%,$(MAKE_VERSION)),)
silence:=$(findstring s,$(firstword -$(MAKEFLAGS)))
else
silence:=$(findstring s,$(filter-out --%,$(MAKEFLAGS)))
endif

ifeq ($(silence),s)
quiet=silent_
KBUILD_VERBOSE = 0
endif

export quiet Q KBUILD_VERBOSE

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/dev-tools/sparse.rst" for more details,
# including where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

export KBUILD_CHECKSRC

# Use make M=dir or set the environment variable KBUILD_EXTMOD to specify the
# directory of external module to build. Setting M= takes precedence.
ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

$(if $(word 2, $(KBUILD_EXTMOD)), \
	$(error building multiple external modules is not supported))

# Remove trailing slashes
ifneq ($(filter %/, $(KBUILD_EXTMOD)),)
KBUILD_EXTMOD := $(shell dirname $(KBUILD_EXTMOD).)
endif

export KBUILD_EXTMOD

# Kbuild will save output files in the current working directory.
# This does not need to match to the root of the kernel source tree.
#
# For example, you can do this:
#
#  cd /dir/to/store/output/files; make -f /dir/to/kernel/source/Makefile
#
# If you want to save output files in a different location, there are
# two syntaxes to specify it.
#
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the output directory.
# export KBUILD_OUTPUT=dir/to/store/output/files/; make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# Do we want to change the working directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifneq ($(KBUILD_OUTPUT),)
# Make's built-in functions such as $(abspath ...), $(realpath ...) cannot
# expand a shell special character '~'. We use a somewhat tedious way here.
abs_objtree := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) && pwd)
$(if $(abs_objtree),, \
     $(error failed to create output directory "$(KBUILD_OUTPUT)"))

# $(realpath ...) resolves symlinks
abs_objtree := $(realpath $(abs_objtree))
else
abs_objtree := $(CURDIR)
endif # ifneq ($(KBUILD_OUTPUT),)

ifeq ($(abs_objtree),$(CURDIR))
# Suppress "Entering directory ..." unless we are changing the work directory.
MAKEFLAGS += --no-print-directory
else
need-sub-make := 1
endif

this-makefile := $(lastword $(MAKEFILE_LIST))
abs_srctree := $(realpath $(dir $(this-makefile)))

ifneq ($(words $(subst :, ,$(abs_srctree))), 1)
$(error source directory cannot contain spaces or colons)
endif

ifneq ($(abs_srctree),$(abs_objtree))
# Look for make include files relative to root of kernel src
#
# --included-dir is added for backward compatibility, but you should not rely on
# it. Please add $(srctree)/ prefix to include Makefiles in the source tree.
MAKEFLAGS += --include-dir=$(abs_srctree)
endif

ifneq ($(filter 3.%,$(MAKE_VERSION)),)
# 'MAKEFLAGS += -rR' does not immediately become effective for GNU Make 3.x
# We need to invoke sub-make to avoid implicit rules in the top Makefile.
need-sub-make := 1
# Cancel implicit rules for this Makefile.
$(this-makefile): ;
endif

export abs_srctree abs_objtree
export sub_make_done := 1

ifeq ($(need-sub-make),1)

PHONY += $(MAKECMDGOALS) __sub-make

$(filter-out $(this-makefile), $(MAKECMDGOALS)) __all: __sub-make
	@:

# Invoke a second make in the output directory, passing relevant variables
__sub-make:
	$(Q)$(MAKE) -C $(abs_objtree) -f $(abs_srctree)/Makefile $(MAKECMDGOALS)

endif # need-sub-make
endif # sub_make_done

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(need-sub-make),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

ifeq ($(abs_srctree),$(abs_objtree))
        # building in the source tree
        srctree := .
	building_out_of_srctree :=
else
        ifeq ($(abs_srctree)/,$(dir $(abs_objtree)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(abs_srctree)
        endif
	building_out_of_srctree := 1
endif

ifneq ($(KBUILD_ABS_SRCTREE),)
srctree := $(abs_srctree)
endif

objtree		:= .
VPATH		:= $(srctree)

export building_out_of_srctree srctree objtree VPATH

# To make sure we do not include .config for any of the *config targets
# catch them early, and hand them over to scripts/kconfig/Makefile
# It is allowed to specify more targets when calling make, including
# mixing *config targets and build targets.
# For example 'make oldconfig all'.
# Detect when mixed targets is specified, and make a second invocation
# of make so .config is not included in this case either (for *config).

version_h := include/generated/uapi/linux/version.h

clean-targets := %clean mrproper cleandocs
no-dot-config-targets := $(clean-targets) \
			 cscope gtags TAGS tags help% %docs check% coccicheck \
			 $(version_h) headers headers_% archheaders archscripts \
			 %asm-generic kernelversion %src-pkg dt_binding_check \
			 outputmakefile
# Installation targets should not require compiler. Unfortunately, vdso_install
# is an exception where build artifacts may be updated. This must be fixed.
no-compiler-targets := $(no-dot-config-targets) install dtbs_install \
			headers_install modules_install kernelrelease image_name
no-sync-config-targets := $(no-dot-config-targets) %install kernelrelease \
			  image_name
single-targets := %.a %.i %.ko %.lds %.ll %.lst %.mod %.o %.s %.symtypes %/

config-build	:=
mixed-build	:=
need-config	:= 1
need-compiler	:= 1
may-sync-config	:= 1
single-build	:=

ifneq ($(filter $(no-dot-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-dot-config-targets), $(MAKECMDGOALS)),)
		need-config :=
	endif
endif

ifneq ($(filter $(no-compiler-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-compiler-targets), $(MAKECMDGOALS)),)
		need-compiler :=
	endif
endif

ifneq ($(filter $(no-sync-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-sync-config-targets), $(MAKECMDGOALS)),)
		may-sync-config :=
	endif
endif

ifneq ($(KBUILD_EXTMOD),)
	may-sync-config :=
endif

ifeq ($(KBUILD_EXTMOD),)
        ifneq ($(filter %config,$(MAKECMDGOALS)),)
		config-build := 1
                ifneq ($(words $(MAKECMDGOALS)),1)
			mixed-build := 1
                endif
        endif
endif

# We cannot build single targets and the others at the same time
ifneq ($(filter $(single-targets), $(MAKECMDGOALS)),)
	single-build := 1
	ifneq ($(filter-out $(single-targets), $(MAKECMDGOALS)),)
		mixed-build := 1
	endif
endif

# For "make -j clean all", "make -j mrproper defconfig all", etc.
ifneq ($(filter $(clean-targets),$(MAKECMDGOALS)),)
        ifneq ($(filter-out $(clean-targets),$(MAKECMDGOALS)),)
		mixed-build := 1
        endif
endif

# install and modules_install need also be processed one by one
ifneq ($(filter install,$(MAKECMDGOALS)),)
        ifneq ($(filter modules_install,$(MAKECMDGOALS)),)
		mixed-build := 1
        endif
endif

ifdef mixed-build
# ===========================================================================
# We're called with mixed targets (*config and build targets).
# Handle them one by one.

PHONY += $(MAKECMDGOALS) __build_one_by_one

$(MAKECMDGOALS): __build_one_by_one
	@:

__build_one_by_one:
	$(Q)set -e; \
	for i in $(MAKECMDGOALS); do \
		$(MAKE) -f $(srctree)/Makefile $$i; \
	done

else # !mixed-build

include $(srctree)/scripts/Kbuild.include

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)
export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION

include $(srctree)/scripts/subarch.include

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).

=== debian/changelog ===
linux (5.15.0-143.153+11.0trisquel31) aramo; urgency=medium

  * Removed non-free bits

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 30 Jun 2025 16:30:29 +0000

linux (5.15.0-143.153) jammy; urgency=medium

  * jammy/linux: 5.15.0-143.153 -proposed tracker (LP: #2114401)

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] update annotations scripts

  * CVE-2024-53051
    - drm/i915/hdcp: Add encoder check in intel_hdcp_get_capability

  * CVE-2024-46787
    - userfaultfd: fix checks for huge PMDs

  * CVE-2025-37890
    - net_sched: hfsc: Fix a UAF vulnerability in class with netem as child
      qdisc
    - sch_hfsc: Fix qlen accounting bug when using peek in hfsc_enqueue()
    - net_sched: hfsc: Address reentrant enqueue adding class to eltree twice

  * CVE-2025-37997
    - netfilter: ipset: fix region locking in hash types

  * CVE-2025-37798
    - sch_htb: make htb_qlen_notify() idempotent
    - sch_htb: make htb_deactivate() idempotent
    - sch_drr: make drr_qlen_notify() idempotent
    - sch_hfsc: make hfsc_qlen_notify() idempotent
    - sch_qfq: make qfq_qlen_notify() idempotent
    - sch_ets: make est_qlen_notify() idempotent
    - codel: remove sch->q.qlen check before qdisc_tree_reduce_backlog()

  * CVE-2025-37750
    - smb: client: fix UAF in decryption with multichannel

  * CVE-2024-53185
    - smb: client: fix NULL ptr deref in crypto_aead_setkey()

  * CVE-2024-50047
    - smb: client: fix UAF in async decryption

 -- Manuel Diewald <manuel.diewald@canonical.com>  Fri, 13 Jun 2025 18:39:23 +0200

=== debian/control ===
Source: linux
Section: devel
Priority: optional
Maintainer: Trisquel GNU/Linux-libre developers <trisquel-devel@listas.trisquel.info>
XSC-Ubuntu-Compatible-Signing: ubuntu/4 pro/3
Standards-Version: 3.9.4.0
Build-Depends:
 kernel-wedge <!stage1> <!noudeb> <!cross> <!autopkgtest>,
 dctrl-tools <!stage1> <!noudeb> <!cross> <!autopkgtest>,
 autoconf <!stage1>,
 automake <!stage1>,
 bc <!stage1>,
 bison <!stage1>,
 cpio,
 curl <!stage1>,
 debhelper-compat (= 10),
 default-jdk-headless <!stage1>,
 dkms <!stage1>,
 dwarfdump <!stage1>,
 flex <!stage1>,
 gawk <!stage1>,
 java-common <!stage1>,
 kmod <!stage1>,
 libaudit-dev <!stage1>,
 libcap-dev <!stage1>,
 libdw-dev <!stage1>,
 libelf-dev <!stage1>,
 libiberty-dev <!stage1>,
 liblzma-dev <!stage1>,
 libnewt-dev <!stage1>,
 libnuma-dev [amd64 arm64 ppc64el s390x] <!stage1>,
 libpci-dev <!stage1>,
 libssl-dev <!stage1>,
 libtool <!stage1>,
 libudev-dev <!stage1>,
 libunwind8-dev [amd64 arm64 armhf ppc64el] <!stage1>,
 makedumpfile [amd64] <!stage1>,
 openssl <!stage1>,
 pahole [amd64 arm64 armhf ppc64el s390x riscv64] | dwarves (>= 1.21) [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 pkg-config <!stage1>,
 python3-dev <!stage1>,
 rsync <!stage1>,
 uuid-dev <!stage1>,
 zstd [amd64 s390x] <!stage1>,
Build-Depends-Indep:
 asciidoc <!stage1>,
 bzip2 <!stage1>,
 docbook-utils <!stage1>,
 dvipng <!stage1>,
 fig2dev <!stage1>,
 fontconfig <!stage1>,
 fonts-noto-cjk <!stage1>,
 ghostscript <!stage1>,
 graphviz <!stage1>,
 imagemagick <!stage1>,
 latexmk <!stage1>,
 librsvg2-bin <!stage1>,
 python3-docutils <!stage1>,
 python3-sphinx <!stage1>,
 python3-sphinx-rtd-theme <!stage1>,
 sharutils <!stage1>,
 xmlto <!stage1>,
Vcs-Git: https://gitlab.trisquel.org/trisquel/package-helpers
XS-Testsuite: autopkgtest
#XS-Testsuite-Depends: gcc-4.7 binutils

Package: linux-source-5.15.0
Build-Profiles: <!stage1>
Architecture: all
Section: devel
Priority: optional
Provides: linux-source
Depends: ${misc:Depends}, binutils, bzip2, coreutils
Recommends: libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, kernel-package, libqt3-dev
Description: Linux-libre kernel source for version 5.15.0
 This package provides the source code for the Linux-libre kernel version
 5.15.0.
 .
 This package is mainly meant for other packages to use, in order to build
 custom flavours.
 .
 If you wish to use this package to create a custom Linux-libre kernel, then it
 is suggested that you investigate the package kernel-package, which has
 been designed to ease the task of creating kernel image packages.
 .
 If you are simply trying to build third-party modules for your kernel,
 you do not want this package. Install the appropriate linux-headers
 package instead.

Package: linux-headers-5.15.0-143
Build-Profiles: <!stage1>
Architecture: all
Multi-Arch: foreign
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils
Description: Header files related to Linux-libre kernel version 5.15.0
 This package provides kernel header files for version 5.15.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-headers-5.15.0-143/debian.README.gz for details

Package: linux-tools-common
Build-Profiles: <!stage1>
Architecture: all
Multi-Arch: foreign
Section: kernel
Priority: optional
Depends: ${misc:Depends}, lsb-release, hwdata
Description: Linux-libre kernel version specific tools for version 5.15.0
 This package provides the architecture independent parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 5.15.0.

Package: linux-tools-5.15.0-143
Build-Profiles: <!stage1>
Architecture: amd64 armhf arm64 ppc64el s390x
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux-libre kernel version specific tools for version 5.15.0-143
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 5.15.0-143 on
 64 bit x86.
 You probably want to install linux-tools-5.15.0-143-<flavour>.

Package: linux-cloud-tools-common
Build-Profiles: <!stage1>
Architecture: all
Multi-Arch: foreign
Section: kernel
Priority: optional
Depends: ${misc:Depends}
Description: Linux-libre kernel version specific cloud tools for version 5.15.0
 This package provides the architecture independent parts for kernel
 version locked tools for cloud tools for version 5.15.0.

Package: linux-cloud-tools-5.15.0-143
Build-Profiles: <!stage1>
Architecture: amd64 armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-cloud-tools-common
Description: Linux-libre kernel version specific cloud tools for version 5.15.0-143
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud tools for version 5.15.0-143 on
 64 bit x86.
 You probably want to install linux-cloud-tools-5.15.0-143-<flavour>.

Package: linux-tools-host
Build-Profiles: <!stage1>
Architecture: all
Multi-Arch: foreign
Section: kernel
Priority: optional
Depends: ${misc:Depends}, python3
Description: Linux-libre kernel VM host tools
 This package provides kernel tools useful for VM hosts.


Package: linux-libc-dev
Architecture: amd64 armhf arm64 i386 ppc64el riscv64 s390x
Depends: ${misc:Depends}
Conflicts: linux-kernel-headers
Replaces: linux-kernel-headers
Provides: linux-kernel-headers, aufs-dev
Multi-Arch: same
Description: Linux Kernel Headers for development
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-doc
Build-Profiles: <!stage1>
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 5.15.0
 This package provides the various documents in the 5.15.0 kernel
 Documentation/ subdirectory.  These document kernel subsystems, APIs, device
 drivers, and so on.  See
 /usr/share/doc/linux-doc/00-INDEX for a list of what is
 contained in each file.


Package: linux-image-5.15.0-143-generic
Build-Profiles: <!stage1>
Architecture: amd64 armhf arm64 ppc64el s390x
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, virtualbox-guest-modules [amd64], ${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-5.15.0-143-generic
Recommends: grub-pc [amd64] | grub-efi-amd64 [amd64] | grub-efi-ia32 [amd64] | grub [amd64] | lilo [amd64] | flash-kernel [armhf arm64] | grub-efi-arm64 [arm64] | grub-efi-arm [armhf] | grub-ieee1275 [ppc64el], initramfs-tools | linux-initramfs-tool
Breaks: flash-kernel (<< 3.90ubuntu2) [arm64 armhf], s390-tools (<< 2.3.0-0ubuntu3) [s390x]
Conflicts: linux-image-5.15.0-143-generic
Suggests: fdutils, linux-doc | linux-source-5.15.0, linux-tools, linux-headers-5.15.0-143-generic, linux-modules-extra-5.15.0-143-generic
Description: Linux-libre kernel image for version 5.15.0 
 This package contains the Linux-libre kernel image for version 5.15.0
 .
 Supports Generic processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-5.15.0-143-generic
Build-Profiles: <!stage1>
Architecture: amd64 armhf arm64 ppc64el s390x
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-5.15.0-143-generic | linux-image-unsigned-5.15.0-143-generic
Built-Using: ${linux:BuiltUsing}
Description: Linux-libre kernel extra modules for version 5.15.0 
 Contains the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-extra-5.15.0-143-generic
Build-Profiles: <!stage1>
Architecture: amd64 armhf arm64 ppc64el s390x
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-5.15.0-143-generic | linux-image-unsigned-5.15.0-143-generic, wireless-regdb
Description: Linux-libre kernel extra modules for version 5.15.0 
 This package contains the Linux-libre kernel extra modules for version 5.15.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-5.15.0-143-generic
Build-Profiles: <!stage1>
Architecture: amd64 armhf arm64 ppc64el s390x
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-headers-5.15.0-143, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
Description: Linux-libre kernel headers for version 5.15.0 
 This package provides kernel header files for version 5.15.0
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-5.15.0-143/debian.README.gz for details.

Package: linux-image-5.15.0-143-generic-dbgsym
Build-Profiles: <!stage1>
Architecture: amd64 armhf arm64 ppc64el s390x
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux-libre kernel debug image for version 5.15.0 
 This package provides the kernel debug image for version 5.15.0
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-tools-5.15.0-143-generic
Build-Profiles: <!stage1>
Architecture: amd64 armhf arm64 ppc64el s390x
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-tools-5.15.0-143
Description: Linux-libre kernel version specific tools for version 5.15.0-143
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 5.15.0-143 on
 64 bit x86.

Package: linux-cloud-tools-5.15.0-143-generic
Build-Profiles: <!stage1>
Architecture: amd64 armhf arm64 ppc64el s390x
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-cloud-tools-5.15.0-143
Description: Linux-libre kernel version specific cloud tools for version 5.15.0-143
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud for version 5.15.0-143 on
 64 bit x86.

Package: linux-udebs-generic
Build-Profiles: <!stage1> <!noudeb> <!cross> <!autopkgtest>
XC-Package-Type: udeb
Section: debian-installer
Architecture: amd64 armhf arm64 ppc64el s390x
Depends: ${udeb:Depends}
Description: Metapackage depending on kernel udebs
 This package depends on the all udebs that the kernel build generated,
 for easier version and migration tracking.

Package: linux-buildinfo-5.15.0-143-generic
Build-Profiles: <!stage1>
Architecture: amd64 armhf arm64 ppc64el s390x
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel buildinfo for version 5.15.0 on 64 bit x86 SMP
 This package contains the Linux kernel buildinfo for version 5.15.0 on
 64 bit x86 SMP.
 .

## linux 5.15.0-144.157+11.0trisquel31

=== debian/changelog ===
linux (5.15.0-144.157+11.0trisquel31) aramo; urgency=medium

  * Removed non-free bits

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 17 Jul 2025 00:50:01 +0000

linux (5.15.0-144.157) jammy; urgency=medium

  * jammy/linux: 5.15.0-144.157 -proposed tracker (LP: #2114581)

  * cifs: NULL pointer dereference in refresh_cache_worker (LP: #2112440)
    - cifs: fix NULL ptr dereference in refresh_mounts()

  * Jammy update: v5.15.184 upstream stable release (LP: #2112581)
    - platform/x86: asus-wmi: Fix wlan_ctrl_by_user detection
    - tracing: probes: Fix a possible race in trace_probe_log APIs
    - iio: adc: ad7768-1: Fix insufficient alignment of timestamp.
    - iio: chemical: sps30: use aligned_s64 for timestamp
    - RDMA/rxe: Fix slab-use-after-free Read in rxe_queue_cleanup bug
    - nfs: handle failure of nfs_get_lock_context in unlock path
    - spi: loopback-test: Do not split 1024-byte hexdumps
    - net: cadence: macb: Fix a possible deadlock in macb_halt_tx.
    - net: dsa: sja1105: discard incoming frames in BR_STATE_LISTENING
    - ALSA: sh: SND_AICA should depend on SH_DMA_API
    - qlcnic: fix memory leak in qlcnic_sriov_channel_cfg_cmd()
    - NFSv4/pnfs: Reset the layout state after a layoutreturn
    - x86,nospec: Simplify {JMP,CALL}_NOSPEC
    - x86/speculation: Simplify and make CALL_NOSPEC consistent
    - x86/speculation: Add a conditional CS prefix to CALL_NOSPEC
    - x86/speculation: Remove the extra #ifdef around CALL_NOSPEC
    - Documentation: x86/bugs/its: Add ITS documentation
    - x86/its: Enumerate Indirect Target Selection (ITS) bug
    - x86/its: Add support for ITS-safe indirect thunk
    - [Config] enable ITS mitigation
    - x86/alternative: Optimize returns patching
    - x86/alternatives: Remove faulty optimization
    - x86/its: Add support for ITS-safe return thunk
    - x86/its: Enable Indirect Target Selection mitigation
    - x86/its: Add "vmexit" option to skip mitigation on some CPUs
    - x86/its: Align RETs in BHB clear sequence to avoid thunking
    - x86/its: Use dynamic thunks for indirect branches
    - x86/its: Fix build errors when CONFIG_MODULES=n
    - x86/its: FineIBT-paranoid vs ITS
    - dmaengine: Revert "dmaengine: dmatest: Fix dmatest waiting less when
      interrupted"
    - btrfs: fix discard worker infinite loop after disabling discard
    - ACPI: PPTT: Fix processor subtable walk
    - ALSA: es1968: Add error handling for snd_pcm_hw_constraint_pow2()
    - ALSA: usb-audio: Add sample rate quirk for Audioengine D1
    - ALSA: usb-audio: Add sample rate quirk for Microdia JP001 USB Camera
    - ftrace: Fix preemption accounting for stacktrace trigger command
    - ftrace: Fix preemption accounting for stacktrace filter command
    - tracing: samples: Initialize trace_array_printk() with the correct
      function
    - phy: Fix error handling in tegra_xusb_port_init
    - phy: renesas: rcar-gen3-usb2: Set timing registers only once
    - wifi: mt76: disable napi on driver removal
    - dmaengine: ti: k3-udma: Add missing locking
    - dmaengine: ti: k3-udma: Use cap_mask directly from dma_device structure
      instead of a local copy
    - dmaengine: idxd: fix memory leak in error handling path of
      idxd_setup_engines
    - dmaengine: idxd: fix memory leak in error handling path of
      idxd_setup_groups
    - block: fix direct io NOWAIT flag not work
    - clocksource/i8253: Use raw_spinlock_irqsave() in
      clockevent_i8253_disable()
    - usb: typec: fix pm usage counter imbalance in ucsi_ccg_sync_control()
    - selftests/mm: compaction_test: support platform with huge mount of
      memory
    - netfilter: nf_tables: pass nft_chain to destroy function, not nft_ctx
    - netfilter: nf_tables: wait for rcu grace period on net_device removal
    - netfilter: nf_tables: do not defer rule destruction via call_rcu
    - x86/modules: Set VM_FLUSH_RESET_PERMS in module_alloc()
    - Linux 5.15.184

  * Jammy update: v5.15.184 upstream stable release (LP: #2112581) //
    CVE-2022-49063
    - ice: arfs: fix use-after-free when freeing @rx_cpu_rmap

  * Jammy update: v5.15.184 upstream stable release (LP: #2112581) //
    CVE-2022-49168
    - btrfs: do not clean up repair bio if submit fails

  * Jammy update: v5.15.184 upstream stable release (LP: #2112581) //
    CVE-2024-46751
    - btrfs: don't BUG_ON() when 0 reference count at
      btrfs_lookup_extent_info()

  * Jammy update: v5.15.184 upstream stable release (LP: #2112581) //
    CVE-2025-22062
    - sctp: add mutual exclusion in proc_sctp_do_udp_port()

  * Jammy update: v5.15.184 upstream stable release (LP: #2112581) //
    CVE-2024-53203
    - usb: typec: fix potential array underflow in ucsi_ccg_sync_control()

  * Jammy update: v5.15.184 upstream stable release (LP: #2112581) //
    CVE-2024-35790
    - usb: typec: altmodes/displayport: create sysfs nodes as driver's default
      device attribute group

  * Jammy update: v5.15.184 upstream stable release (LP: #2112581) //
    CVE-2025-37967
    - usb: typec: ucsi: displayport: Fix deadlock

  * Jammy update: v5.15.184 upstream stable release (LP: #2112581) //
    CVE-2025-37992
    - net_sched: Flush gso_skb list too during ->change()

  * Mounting btrfs LVM volumes changes mountpoint location and breaks lsblk
    output (LP: #2107516)
    - SAUCE: Revert "btrfs: avoid unnecessary device path update for the same
      device"

  * Jammy update: v5.15.183 upstream stable release (LP: #2111705)
    - can: mcan: m_can_class_unregister(): fix order of unregistration calls
    - can: mcp251xfd: mcp251xfd_remove(): fix order of unregistration calls
    - openvswitch: Fix unsafe attribute parsing in output_userspace()
    - gre: Fix again IPv6 link-local address generation.
    - can: gw: use call_rcu() instead of costly synchronize_rcu()
    - rcu/kvfree: Add kvfree_rcu_mightsleep() and kfree_rcu_mightsleep()
    - can: gw: fix RCU/BH usage in cgw_create_job()


=== debian/control ===
--- 
+++ 
@@ -88,7 +88,7 @@
  you do not want this package. Install the appropriate linux-headers
  package instead.
 
-Package: linux-headers-5.15.0-143
+Package: linux-headers-5.15.0-144
 Build-Profiles: <!stage1>
 Architecture: all
 Multi-Arch: foreign
@@ -98,7 +98,7 @@
 Description: Header files related to Linux-libre kernel version 5.15.0
  This package provides kernel header files for version 5.15.0, for sites
  that want the latest kernel headers. Please read
- /usr/share/doc/linux-headers-5.15.0-143/debian.README.gz for details
+ /usr/share/doc/linux-headers-5.15.0-144/debian.README.gz for details
 
 Package: linux-tools-common
 Build-Profiles: <!stage1>
@@ -112,18 +112,18 @@
  version locked tools (such as perf and x86_energy_perf_policy) for
  version 5.15.0.
 
-Package: linux-tools-5.15.0-143
+Package: linux-tools-5.15.0-144
 Build-Profiles: <!stage1>
 Architecture: amd64 armhf arm64 ppc64el s390x
 Section: devel
 Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
-Description: Linux-libre kernel version specific tools for version 5.15.0-143
+Description: Linux-libre kernel version specific tools for version 5.15.0-144
  This package provides the architecture dependant parts for kernel
  version locked tools (such as perf and x86_energy_perf_policy) for
- version 5.15.0-143 on
+ version 5.15.0-144 on
  64 bit x86.
- You probably want to install linux-tools-5.15.0-143-<flavour>.
+ You probably want to install linux-tools-5.15.0-144-<flavour>.
 
 Package: linux-cloud-tools-common
 Build-Profiles: <!stage1>
@@ -136,17 +136,17 @@
  This package provides the architecture independent parts for kernel
  version locked tools for cloud tools for version 5.15.0.
 
-Package: linux-cloud-tools-5.15.0-143
+Package: linux-cloud-tools-5.15.0-144
 Build-Profiles: <!stage1>
 Architecture: amd64 armhf
 Section: devel
 Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}, linux-cloud-tools-common
-Description: Linux-libre kernel version specific cloud tools for version 5.15.0-143
+Description: Linux-libre kernel version specific cloud tools for version 5.15.0-144
  This package provides the architecture dependant parts for kernel
- version locked tools for cloud tools for version 5.15.0-143 on
+ version locked tools for cloud tools for version 5.15.0-144 on
  64 bit x86.
- You probably want to install linux-cloud-tools-5.15.0-143-<flavour>.
+ You probably want to install linux-cloud-tools-5.15.0-144-<flavour>.
 
 Package: linux-tools-host
 Build-Profiles: <!stage1>
@@ -186,17 +186,17 @@
  contained in each file.
 
 
-Package: linux-image-5.15.0-143-generic
+Package: linux-image-5.15.0-144-generic
 Build-Profiles: <!stage1>
 Architecture: amd64 armhf arm64 ppc64el s390x
 Section: kernel
 Priority: optional
 Provides: linux-image, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, virtualbox-guest-modules [amd64], ${linux:rprovides}
-Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-5.15.0-143-generic
+Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-5.15.0-144-generic
 Recommends: grub-pc [amd64] | grub-efi-amd64 [amd64] | grub-efi-ia32 [amd64] | grub [amd64] | lilo [amd64] | flash-kernel [armhf arm64] | grub-efi-arm64 [arm64] | grub-efi-arm [armhf] | grub-ieee1275 [ppc64el], initramfs-tools | linux-initramfs-tool
 Breaks: flash-kernel (<< 3.90ubuntu2) [arm64 armhf], s390-tools (<< 2.3.0-0ubuntu3) [s390x]
-Conflicts: linux-image-5.15.0-143-generic
-Suggests: fdutils, linux-doc | linux-source-5.15.0, linux-tools, linux-headers-5.15.0-143-generic, linux-modules-extra-5.15.0-143-generic
+Conflicts: linux-image-5.15.0-144-generic
+Suggests: fdutils, linux-doc | linux-source-5.15.0, linux-tools, linux-headers-5.15.0-144-generic, linux-modules-extra-5.15.0-144-generic
 Description: Linux-libre kernel image for version 5.15.0 
  This package contains the Linux-libre kernel image for version 5.15.0
  .
@@ -208,12 +208,12 @@
  the linux-generic meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-modules-5.15.0-143-generic
-Build-Profiles: <!stage1>
-Architecture: amd64 armhf arm64 ppc64el s390x
-Section: kernel
-Priority: optional
-Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-5.15.0-143-generic | linux-image-unsigned-5.15.0-143-generic
+Package: linux-modules-5.15.0-144-generic
+Build-Profiles: <!stage1>
+Architecture: amd64 armhf arm64 ppc64el s390x
+Section: kernel
+Priority: optional
+Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-5.15.0-144-generic | linux-image-unsigned-5.15.0-144-generic
 Built-Using: ${linux:BuiltUsing}
 Description: Linux-libre kernel extra modules for version 5.15.0 
  Contains the corresponding System.map file, the modules built by the
@@ -228,12 +228,12 @@
  the linux-generic meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-modules-extra-5.15.0-143-generic
-Build-Profiles: <!stage1>
-Architecture: amd64 armhf arm64 ppc64el s390x
-Section: kernel
-Priority: optional
-Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-5.15.0-143-generic | linux-image-unsigned-5.15.0-143-generic, wireless-regdb
+Package: linux-modules-extra-5.15.0-144-generic
+Build-Profiles: <!stage1>
+Architecture: amd64 armhf arm64 ppc64el s390x
+Section: kernel
+Priority: optional
+Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-5.15.0-144-generic | linux-image-unsigned-5.15.0-144-generic, wireless-regdb
 Description: Linux-libre kernel extra modules for version 5.15.0 
  This package contains the Linux-libre kernel extra modules for version 5.15.0
  .
@@ -249,20 +249,20 @@
  the linux-generic meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-headers-5.15.0-143-generic
-Build-Profiles: <!stage1>
-Architecture: amd64 armhf arm64 ppc64el s390x
-Section: devel
-Priority: optional
-Depends: ${misc:Depends}, linux-headers-5.15.0-143, ${shlibs:Depends}
+Package: linux-headers-5.15.0-144-generic
+Build-Profiles: <!stage1>
+Architecture: amd64 armhf arm64 ppc64el s390x
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, linux-headers-5.15.0-144, ${shlibs:Depends}
 Provides: linux-headers, linux-headers-3.0
 Description: Linux-libre kernel headers for version 5.15.0 
  This package provides kernel header files for version 5.15.0
  .
  This is for sites that want the latest kernel headers.  Please read
- /usr/share/doc/linux-headers-5.15.0-143/debian.README.gz for details.
-
-Package: linux-image-5.15.0-143-generic-dbgsym
+ /usr/share/doc/linux-headers-5.15.0-144/debian.README.gz for details.
+
+Package: linux-image-5.15.0-144-generic-dbgsym
 Build-Profiles: <!stage1>
 Architecture: amd64 armhf arm64 ppc64el s390x
 Section: devel
@@ -278,27 +278,27 @@
  is uncompressed, and unstripped. This package also includes the
  unstripped modules.
 
-Package: linux-tools-5.15.0-143-generic
-Build-Profiles: <!stage1>
-Architecture: amd64 armhf arm64 ppc64el s390x
-Section: devel
-Priority: optional
-Depends: ${misc:Depends}, linux-tools-5.15.0-143
-Description: Linux-libre kernel version specific tools for version 5.15.0-143
+Package: linux-tools-5.15.0-144-generic
+Build-Profiles: <!stage1>
+Architecture: amd64 armhf arm64 ppc64el s390x
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, linux-tools-5.15.0-144
+Description: Linux-libre kernel version specific tools for version 5.15.0-144
  This package provides the architecture dependant parts for kernel
  version locked tools (such as perf and x86_energy_perf_policy) for
- version 5.15.0-143 on
+ version 5.15.0-144 on
  64 bit x86.
 
-Package: linux-cloud-tools-5.15.0-143-generic
-Build-Profiles: <!stage1>
-Architecture: amd64 armhf arm64 ppc64el s390x
-Section: devel
-Priority: optional
-Depends: ${misc:Depends}, linux-cloud-tools-5.15.0-143
-Description: Linux-libre kernel version specific cloud tools for version 5.15.0-143
+Package: linux-cloud-tools-5.15.0-144-generic
+Build-Profiles: <!stage1>
+Architecture: amd64 armhf arm64 ppc64el s390x
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, linux-cloud-tools-5.15.0-144
+Description: Linux-libre kernel version specific cloud tools for version 5.15.0-144
  This package provides the architecture dependant parts for kernel
- version locked tools for cloud for version 5.15.0-143 on
+ version locked tools for cloud for version 5.15.0-144 on
  64 bit x86.
 
 Package: linux-udebs-generic
@@ -311,7 +311,7 @@
  This package depends on the all udebs that the kernel build generated,
  for easier version and migration tracking.
 
-Package: linux-buildinfo-5.15.0-143-generic
+Package: linux-buildinfo-5.15.0-144-generic
 Build-Profiles: <!stage1>
 Architecture: amd64 armhf arm64 ppc64el s390x
 Section: kernel
